aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2019-08-11 21:15:07 +0200
committerThomas Deutschmann <whissi@gentoo.org>2019-08-11 21:48:28 +0200
commit9de72e7d230f7ad8822825ad204136233af95f47 (patch)
tree5337edb18196b43002a0fdadb87c084e1a32e57b
parentgen_funcs.sh: Move KCONFIG_MODIFIED_MARKER declaration to determine_real_args() (diff)
downloadgenkernel-9de72e7d.tar.gz
genkernel-9de72e7d.tar.bz2
genkernel-9de72e7d.zip
gen_initramfs.sh: create_initramfs(): Change /etc/ld.so.cache creation
- Always generate or update /etc/ld.so.cache when possible. - ldconfig will chroot due to "-r" parameter. Therefore, "-f" parameter expects 'relative' path from chrooted root. Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
-rwxr-xr-xgen_initramfs.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/gen_initramfs.sh b/gen_initramfs.sh
index 36b46783..c5e4a67f 100755
--- a/gen_initramfs.sh
+++ b/gen_initramfs.sh
@@ -1603,12 +1603,12 @@ create_initramfs() {
"${CPIO_COMMAND}" --quiet -i -F "${CPIO_ARCHIVE}" 2>/dev/null \
|| gen_die "Failed to extract cpio '${CPIO_ARCHIVE}' for dedupe"
- if [ -e etc/ld.so.cache ] && ! isTrue "$(tc-is-cross-compiler)"
+ if ! isTrue "$(tc-is-cross-compiler)"
then
- # We can update /etc/ld.so.cache which was copied from host
+ # We can generate or update /etc/ld.so.cache which was copied from host
# to actually match initramfs' content.
print_info 1 "$(get_indent 1)>> Pre-generating initramfs' /etc/ld.so.cache ..."
- ldconfig -f "${TDIR}/etc/ld.so.conf" -r . 2>/dev/null \
+ ldconfig -f /etc/ld.so.conf -r "${TDIR}" 2>/dev/null \
|| gen_die "Failed to pre-generate '${TDIR}/etc/ld.so.cache'!"
fi